--Point values, any passed message that gets 5+ points is allowed
local FilterPoints = { 
		["wts"] = 5,
		["wtb"] = 5,
		[".*%[.*%].*"] = 5,
		["lf.*"] = 2,
		["%d+g.*"] = 4,
		["tip.*"] = 3,
};

--A flag for performance reasons, this function gets called 6 times per message for some reason
local LastMessage = nil;

--Check the passed message and return whether or not it should be filtered
function GOMLParseTradeMessage(msg)
	if msg and msg ~= LastMessage then
		local points = 0;

		msg = strlower(msg);

		--First check it for ".com" anywhere
		if msg:find(".*%.com.*") then
			return true;
		end

		--Iterate over each word and check it for a point value
		for word in msg:gmatch("%a+") do
			for k,v in pairs(FilterPoints) do
				if word:match(k) then
					points = points + v;

					if points >= 5 then
						LastMessage = msg;
						return false;
					end
				end
			end
		end
	end

	LastMessage = msg;
	--DEFAULT_CHAT_FRAME:AddMessage("Filtered: " .. msg);
	return true;
end